@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

header {
  position: fixed;
  top: 0;
  background-color: #fff;
  z-index: 99999;
  box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 1px, rgba(0, 0, 0, 0.07) 0px 2px 2px,
    rgba(0, 0, 0, 0.07) 0px 4px 4px, rgba(0, 0, 0, 0.07) 0px 8px 8px,
    rgba(0, 0, 0, 0.07) 0px 8px 8px;
  margin-bottom: 0px;
  height: 70px;
}
main {
  margin-top: 70px;
}

nav {
  width: 90%;
  margin: auto;
  padding: 2% 0%;
}

.search-form {
  position: relative;
  align-items: center;
  justify-content: left;
  display: flex;
}

.logo-block {
  align-items: center;
  justify-content: center;
  display: flex;
}

.menu-block {
  align-items: center;
  justify-content: right;
  display: flex;
}

.search-icon {
  position: absolute;
  max-width: 16px;

  margin-left: 5px;
}

.search-form input {
  border: none;
  outline: none;
  padding: 10px 20px 10px 30px;
}

.search-form input:focus {
  outline: none;
}

.Doodlzz-logo {
  max-width: 140px;
}

/* Hamburger Menu */
body {
  overflow-x: hidden;
}

a {
  text-decoration: none !important;
  color: #232323;
  transition: color 0.3s ease;
}

a:hover {
  color: #2ecc71;
}

#menuToggle {
  display: block;
  position: relative;
  top: auto;
  z-index: 999;
  -webkit-user-select: none;
  user-select: none;
  margin-left: 20px;
}

#menuToggle input {
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  right: -5px;
  cursor: pointer;
  opacity: 0;
  z-index: 2;
  -webkit-touch-callout: none;
}

#menuToggle span {
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  background: #cdcdcd;
  border-radius: 3px;
  z-index: 1;
  transform-origin: 4px 0px;
  transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
}

#menuToggle span:first-child {
  transform-origin: 0% 0%;
  display: block;
}

#menuToggle span:nth-last-child(2) {
  transform-origin: 0% 100%;
}

#menuToggle input:checked ~ span {
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: #232323;
  display: block;
}

#menuToggle input:checked ~ span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

#menuToggle input:checked ~ span:nth-last-child(2) {
  opacity: 1;
  transform: rotate(-45deg) translate(0, -1px);
}

#menu {
  position: absolute;
  display: none;
  width: 300px;
  margin: -100px 0 0 0;
  padding: 50px;
  padding-top: 125px;
  right: -100px;
  background: #ededed;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  transform-origin: 0% 0%;
  transform: translate(100%, 0);

  transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
}

#menu li {
  padding: 10px 0;
  font-size: 22px;
}

#menuToggle input:checked ~ ul {
  transform: scale(1, 1);
  opacity: 1;
  display: block;
  transition: 1s;
}

@media screen and (max-width: 767px) {
  .Doodlzz-logo {
    max-width: 150px;
  }
}
